libapp-cpants-lint-perl_0.04-3_all.deb


Advertisement

Description

libapp-cpants-lint-perl - commandline frontend to Module::CPANTS::Analyse

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libapp-cpants-lint-perl
Package version 0.04
Package release 3
Package architecture all
Package type deb
Installed size 38 B
Download size 16.19 KB
Official Mirror ftp.br.debian.org
cpants_lint checks the Kwalitee of a CPAN distribution.  More exact, it
checks how a given tarball will be rated on <http://cpants.perl.org>,
without needing to upload it first.

Alternatives

Package Version Architecture Repository
libapp-cpants-lint-perl_0.04-3_all.deb 0.04 all Debian Main
libapp-cpants-lint-perl - - -

Requires

Name Value
libmodule-cpants-analyse-perl >= 0.94
perl -

Replaces

Name Value
libmodule-cpants-analyse-perl << 0.95-1~

Download

Type URL
Binary Package libapp-cpants-lint-perl_0.04-3_all.deb
Source Package libapp-cpants-lint-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libapp-cpants-lint-perl deb package:
    # sudo apt-get install libapp-cpants-lint-perl

Files

Path
/usr/bin/cpants_lint
/usr/share/doc/libapp-cpants-lint-perl/README
/usr/share/doc/libapp-cpants-lint-perl/buildinfo_all.gz
/usr/share/doc/libapp-cpants-lint-perl/changelog.Debian.gz
/usr/share/doc/libapp-cpants-lint-perl/changelog.gz
/usr/share/doc/libapp-cpants-lint-perl/copyright
/usr/share/man/man1/cpants_lint.1p.gz
/usr/share/man/man3/App::CPANTS::Lint.3pm.gz
/usr/share/perl5/App/CPANTS/Lint.pm

Changelog

2014-10-18 - Jonas Smedegaard <dr@jones.dk>
libapp-cpants-lint-perl (0.04-3) unstable; urgency=medium
* Stop rename executable, and instead tighten to (build-)depend on
recent libmodule-cpants-analyse-perl no longer shipping same
executable, and break+replace older ones.
2014-10-17 - Jonas Smedegaard <dr@jones.dk>
libapp-cpants-lint-perl (0.04-2) unstable; urgency=medium
* Fix temporarily rename executable to avoid clashing with
libmodule-cpants-analyse-perl << 0.93_02.
2014-10-17 - Jonas Smedegaard <dr@jones.dk>
libapp-cpants-lint-perl (0.04-1) unstable; urgency=low
* Initial packaging release.
Closes: bug#765723.

See Also

Package Description
libapp-daemon-perl_0.22-1_all.deb Perl module to start an Application as a Daemon
libapp-fatpacker-perl_0.010001-1_all.deb module to pack dependencies onto script files
libapp-info-perl_0.57-1_all.deb module to provide metadata about software packages installed
libapp-nopaste-perl_0.96-1_all.deb application for easy access to any pastebin
libapp-options-perl_1.12-1_all.deb command-line option values processing system
libapp-perlrdf-command-query-perl_0.004-1_all.deb SPARQL extension for App-perlrdf
libapp-rad-perl_1.05-1_all.deb Perl module for rapid and easy creation of command line applications
libapp-repl-perl_0.012-1_all.deb container for functions for the iperl program
libapp-termcast-perl_0.13-1_all.deb termcasting module and client
libapparmor-dev_2.9.0-3_amd64.deb AppArmor development libraries and header files
libapparmor-perl_2.9.0-3_amd64.deb AppArmor library Perl bindings
libapparmor1_2.9.0-3_amd64.deb changehat AppArmor library
libappconfig-perl_1.66-1_all.deb Perl module for configuration file and command line handling
libappindicator-dev_0.4.92-3.1_amd64.deb allow applications to export a menu into the panel -- development
libappindicator-doc_0.4.92-3.1_all.deb allow applications to export a menu into the panel -- documentation
Advertisement
Advertisement